Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## layout
Class TableLayout.Entry

    java.lang.Object
      layout.TableLayoutConstraints
          layout.TableLayout.Entry

All Implemented Interfaces:
  TableLayoutConstants

Enclosing class:
  TableLayout

    protected class TableLayout.Entry

extends TableLayoutConstraints

Field Summary
`protected java.awt.Component` | `component` Component bound by the constraints
`protected boolean` | `singleCell` Does the component occupy a single cell

Fields inherited from class layout.TableLayoutConstraints
`col1, col2, hAlign, row1, row2, vAlign`

Fields inherited from interface layout.TableLayoutConstants
`BOTTOM, CENTER, FILL, FULL, LEFT, MAX_ALIGN, MIN_ALIGN, MINIMUM, PREFERRED, RIGHT, TOP`

Constructor Summary
`TableLayout.Entry(java.awt.Component component, TableLayoutConstraints constraint)` Constructs an Entry that binds a component to a set of constraints.

Method Summary
`boolean` | `equals(java.lang.Object object)` Determines whether or not two entries are equal.

Methods inherited from class layout.TableLayoutConstraints
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### component

    protected java.awt.Component component

  Component bound by the constraints

### singleCell

    protected boolean singleCell

  Does the component occupy a single cell

Constructor Detail

### TableLayout.Entry

    public TableLayout.Entry(java.awt.Component component,
                             TableLayoutConstraints constraint)

  Constructs an Entry that binds a component to a set of constraints.

  Parameters:
    `component` - component being bound
    `constranit` - constraints being applied

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Determines whether or not two entries are equal.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - object being compared to; must be a Component if it is equal to this TableLayoutConstraints.
  Returns:
    True, if the entries refer to the same component object. False, otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD